<?
session_start();
require_once('../connect/connect.php'); 
include_once('../lib/lib.php');
require('pdk.php');

$id_blok=$_REQUEST['id_blok'];
$id_catalog=$_REQUEST['id_catalog'];

if(isset($_POST['MM_insert']) && $_POST['MM_insert']=="form1")
	{
	$err = '';
	$zag = trim($_POST['zag']);
	$opis = trim($_POST['opis']);

	$r1=mysql_query("SELECT num FROM subblok WHERE id_blok='".$id_blok."' AND id_catalog='".$id_catalog."' ORDER BY num DESC LIMIT 1");
	$rr1=mysql_fetch_array($r1);
	if($rr1['num']) $new_num=$rr1['num']+1; else $new_num=1;

	$base="image/";

	if ($_FILES['fil']['tmp_name'])
  		{
		$ext = strtolower(strrchr ($_FILES['fil']['name'], "."));
		$i=0;
		$j=0;
		$dps='';
		foreach($arr_doc as $index=>$arr_do)
			{
			if($i)
			$dps .= ', ';
			$dps .= $index;
			if($ext=='.'.$index) {$j=1;}
			$i++;
			}
		if(!$j)
  		$err .= "Недопустимый формат файла. Допускаются только форматы ".$dps."<br>";
	
		$size = $_FILES['fil']['size'];

		$document_name=_pre($_POST['document_name']);
		if(!$document_name)
		$err .= 'Укажите название документа<br>';
	
		if(!$err)
			{
			$r = "INSERT INTO subblok (size, document_name, id_catalog, id_blok, num)
			VALUES ('".$size."', '".$document_name."', '".$id_catalog."', '".$id_blok."', '".$new_num."')";
			mysql_query($r);  
			$id_subblok=mysql_insert_id();
		
  			$fil = "image/".$id_subblok.$ext;
		
			if (!@copy ($_FILES['fil']['tmp_name'], "../".$fil)) $z=1; 
		
			if($z)
				{
				$err .= 'Не удалось загрузить документ<br>'; 
				mysql_query("DELETE FROM subblok WHERE id_subblok='".$id_subblok."'"); 
				}
			else 
				{
				mysql_query("UPDATE subblok SET fil= '".$fil."' WHERE id_subblok='".$id_subblok."'"); 
				} 

			if(!$err)
				{ 
				echo "<HTML><HEAD><meta http-equiv='Refresh' charset='utf-8' content='0; URL=catalog.php?id_catalog=".$id_catalog."'></HEAD></HTML>";
				exit();
				}
			}
		} else $err .= 'Не загружен документ<br>';
	}

$titl="Добавление файла";
require ('top.php'); 

if($err) echo '<p><font color=red>'.$err.'</font></p>';

?>
	
	<form enctype="multipart/form-data" name="form1" method="POST" action="add_file.php">
      <table width="738" border="0" cellspacing="0" cellpadding="0" >
        <tr>
          <td>Название документа
          <td>
		  <input type="text" name="document_name" size="40" value="<?=$document_name?>" >
       <tr>
          <td>Загрузка файла
          <td><input type="file" name="fil" size="40">
        <tr>
          <td>
          <td><input class="submit" type="submit" name="Submit" value="Добавить"></td>
      </table>
      <input type="hidden" name="MM_insert" value="form1">
      <input type="hidden" name="id_blok" value="<? echo $id_blok; ?>">
      <input type="hidden" name="id_catalog" value="<? echo $id_catalog; ?>">
    </form>
<?
require('bottom.php');
?>